--- old/usr/src/uts/common/fs/hsfs/hsfs_vnops.c	2015-01-08 09:14:34.022121219 -0500
+++ new/usr/src/uts/common/fs/hsfs/hsfs_vnops.c	2015-01-08 09:14:34.029150666 -0500
@@ -22,6 +22,7 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 /*
@@ -1575,7 +1576,6 @@
 	struct cred *cred,
 	caller_context_t *ct)
 {
-	int err;
 	uint_t filsiz;
 	struct hsfs *fsp;
 	struct hsnode *hp;
@@ -1653,14 +1653,8 @@
 	if (protp != NULL)
 		*protp = PROT_ALL;
 
-	if (len <= PAGESIZE)
-		err = hsfs_getapage(vp, (u_offset_t)off, len, protp, pl, plsz,
-		    seg, addr, rw, cred);
-	else
-		err = pvn_getpages(hsfs_getapage, vp, off, len, protp,
-		    pl, plsz, seg, addr, rw, cred);
-
-	return (err);
+	return (pvn_getpages(hsfs_getapage, vp, off, len, protp, pl, plsz,
+	    seg, addr, rw, cred));
 }
 
 
